### Method

# Gtk Builder create_closure

#### Declaration [src]

    GClosure*
    gtk_builder_create_closure (
      GtkBuilder* builder,
      const char* function_name,
      GtkBuilderClosureFlags flags,
      GObject* object,
      GError** error
    )

#### Description [src]

Creates a closure to invoke the function called `function_name`.

This is using the create_closure() implementation of `builder`‘s `GtkBuilderScope`.

If no closure could be created, `NULL` will be returned and `error` will be set.

#### Parameters

`function_name` | `const char*`
| Name of the function to look up.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`flags` | `GtkBuilderClosureFlags`
| Closure creation flags.
`object` | `GObject*`
| Object to create the closure with.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GClosure*`
| A new closure for invoking `function_name`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.